Bug 212319 - [exp-run] test build without /usr/bin/objdump
Summary: [exp-run] test build without /usr/bin/objdump
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ed Maste
URL:
Keywords:
Depends on: 241157 241159 246229
Blocks: 229046
  Show dependency treegraph
 
Reported: 2016-09-02 03:05 UTC by Ed Maste
Modified: 2020-05-11 18:11 UTC (History)
3 users (show)

See Also:


Attachments
disconnect objdump from the build (574 bytes, patch)
2016-09-02 03:05 UTC, Ed Maste
no flags Details | Diff
disconnect objdump from the build (revised) (706 bytes, patch)
2019-09-26 13:12 UTC, Ed Maste
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Maste freebsd_committer 2016-09-02 03:05:30 UTC
Created attachment 174305 [details]
disconnect objdump from the build

One of the goals for FreeBSD 12 is to remove the outdated binutils from the base system. Replacements are already in the tree or are in progress except for /usr/bin/as and /usr/bin/objdump.

objdump is not used by the base system build, and I suspect is not used by too many ports. I would like to request an exp-run with the attached patch (disconnecting objdump from the build) to see what the fallout is.

These results are not time-critical so please prioritize other exp-runs ahead of this one.
Comment 1 Ed Maste freebsd_committer 2016-09-07 14:24:03 UTC
By inspection I found three ports that use objdump in the ports Makefile itself:

graphics/OpenEXR
dns/dnsmasq
dns/dnsmasq-devel

these are all some form of "objdump -p | grep NEEDED" to determine which library something is linked against

and three ports that use have a patch file etc. containing objdump:

graphics/yukon
java/openjdk7
devel/hadoop

the other cases of the string "objdump" in the ports tree all seem to be in pkg-plists or are otherwise related to ports building an objdump for some platform
Comment 2 Antoine Brodin freebsd_committer 2016-09-07 14:49:11 UTC
Exp-run results on i386:

http://package18.nyi.freebsd.org/build.html?mastername=110i386PR212319-default&build=2016-09-07_05h26m35s

around 700 ports were skipped due to new failures

New failures:

+ {"origin"=>"devel/aarch64-none-elf-gcc", "pkgname"=>"aarch64-none-elf-gcc-5.3.0", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/arm-none-eabi-gcc", "pkgname"=>"arm-none-eabi-gcc-5.3.0", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/arm-none-eabi-gcc492", "pkgname"=>"arm-none-eabi-gcc492-4.9.2_2", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/avr-gcc", "pkgname"=>"avr-gcc-4.9.3", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/avr-gcc-devel", "pkgname"=>"avr-gcc-devel-4.10.0.s20140803_1", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/gcc-arm-embedded", "pkgname"=>"gcc-arm-embedded-5.4.20160622", "phase"=>"package", "errortype"=>"clang"}
+ {"origin"=>"devel/gcc-msp430-ti-toolchain", "pkgname"=>"gcc-msp430-ti-toolchain-5.3.0.4.00.01.00.20160401", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/mingw32-gcc", "pkgname"=>"mingw32-gcc-4.8.1,1", "phase"=>"package", "errortype"=>"clang"}
+ {"origin"=>"devel/mips-gcc", "pkgname"=>"mips-gcc-5.3.0", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/mips64-gcc", "pkgname"=>"mips64-gcc-5.3.0", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/powerpc64-gcc", "pkgname"=>"powerpc64-gcc-5.3.0", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/psptoolchain-gcc-stage1", "pkgname"=>"psptoolchain-gcc-stage1-4.6.2_3", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/sparc64-gcc", "pkgname"=>"sparc64-gcc-5.3.0", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"graphics/OpenEXR", "pkgname"=>"OpenEXR-2.2.0_5", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"lang/fsharp", "pkgname"=>"fsharp-4.0.1.10", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-fm/gnome-commander2", "pkgname"=>"gnome-commander2-1.4.8_2,1", "phase"=>"package", "errortype"=>"???"}

Failure logs:

http://package18.nyi.freebsd.org/data/110i386PR212319-default/2016-09-07_05h26m35s/logs/errors/aarch64-none-elf-gcc-5.3.0.log
http://package18.nyi.freebsd.org/data/110i386PR212319-default/2016-09-07_05h26m35s/logs/errors/arm-none-eabi-gcc-5.3.0.log
http://package18.nyi.freebsd.org/data/110i386PR212319-default/2016-09-07_05h26m35s/logs/errors/arm-none-eabi-gcc492-4.9.2_2.log
http://package18.nyi.freebsd.org/data/110i386PR212319-default/2016-09-07_05h26m35s/logs/errors/avr-gcc-4.9.3.log
http://package18.nyi.freebsd.org/data/110i386PR212319-default/2016-09-07_05h26m35s/logs/errors/avr-gcc-devel-4.10.0.s20140803_1.log
http://package18.nyi.freebsd.org/data/110i386PR212319-default/2016-09-07_05h26m35s/logs/errors/gcc-arm-embedded-5.4.20160622.log
http://package18.nyi.freebsd.org/data/110i386PR212319-default/2016-09-07_05h26m35s/logs/errors/gcc-msp430-ti-toolchain-5.3.0.4.00.01.00.20160401.log
http://package18.nyi.freebsd.org/data/110i386PR212319-default/2016-09-07_05h26m35s/logs/errors/mingw32-gcc-4.8.1,1.log
http://package18.nyi.freebsd.org/data/110i386PR212319-default/2016-09-07_05h26m35s/logs/errors/mips-gcc-5.3.0.log
http://package18.nyi.freebsd.org/data/110i386PR212319-default/2016-09-07_05h26m35s/logs/errors/mips64-gcc-5.3.0.log
http://package18.nyi.freebsd.org/data/110i386PR212319-default/2016-09-07_05h26m35s/logs/errors/powerpc64-gcc-5.3.0.log
http://package18.nyi.freebsd.org/data/110i386PR212319-default/2016-09-07_05h26m35s/logs/errors/psptoolchain-gcc-stage1-4.6.2_3.log
http://package18.nyi.freebsd.org/data/110i386PR212319-default/2016-09-07_05h26m35s/logs/errors/sparc64-gcc-5.3.0.log
http://package18.nyi.freebsd.org/data/110i386PR212319-default/2016-09-07_05h26m35s/logs/errors/OpenEXR-2.2.0_5.log
http://package18.nyi.freebsd.org/data/110i386PR212319-default/2016-09-07_05h26m35s/logs/errors/fsharp-4.0.1.10.log
http://package18.nyi.freebsd.org/data/110i386PR212319-default/2016-09-07_05h26m35s/logs/errors/gnome-commander2-1.4.8_2,1.log
Comment 3 Antoine Brodin freebsd_committer 2016-09-21 11:55:56 UTC
Exp-run results on amd64:

http://package23.nyi.freebsd.org/build.html?mastername=110amd64PR212319-default&build=2016-09-21_05h38m01s

New failures:

+ {"origin"=>"devel/aarch64-none-elf-gcc", "pkgname"=>"aarch64-none-elf-gcc-5.3.0_1", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/amd64-gcc", "pkgname"=>"amd64-gcc-5.3.0_1", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/arm-none-eabi-gcc", "pkgname"=>"arm-none-eabi-gcc-5.3.0_1", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/arm-none-eabi-gcc492", "pkgname"=>"arm-none-eabi-gcc492-4.9.2_2", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/avr-gcc", "pkgname"=>"avr-gcc-4.9.3", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/avr-gcc-devel", "pkgname"=>"avr-gcc-devel-4.10.0.s20140803_1", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/gcc-arm-embedded", "pkgname"=>"gcc-arm-embedded-5.4.20160622", "phase"=>"package", "errortype"=>"clang"}
+ {"origin"=>"devel/gcc-msp430-ti-toolchain", "pkgname"=>"gcc-msp430-ti-toolchain-5.3.0.4.00.01.00.20160401", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/mingw32-gcc", "pkgname"=>"mingw32-gcc-4.8.1,1", "phase"=>"package", "errortype"=>"clang"}
+ {"origin"=>"devel/mips-gcc", "pkgname"=>"mips-gcc-5.3.0_1", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/mips64-gcc", "pkgname"=>"mips64-gcc-5.3.0_1", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/powerpc64-gcc", "pkgname"=>"powerpc64-gcc-5.3.0_1", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/psptoolchain-gcc-stage1", "pkgname"=>"psptoolchain-gcc-stage1-4.6.2_3", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/sparc64-gcc", "pkgname"=>"sparc64-gcc-5.3.0_1", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"x11-fm/gnome-commander2", "pkgname"=>"gnome-commander2-1.4.8_2,1", "phase"=>"package", "errortype"=>"???"}


Failure logs:

http://package23.nyi.freebsd.org/data/110amd64PR212319-default/2016-09-21_05h38m01s/logs/errors/aarch64-none-elf-gcc-5.3.0_1.log
http://package23.nyi.freebsd.org/data/110amd64PR212319-default/2016-09-21_05h38m01s/logs/errors/amd64-gcc-5.3.0_1.log
http://package23.nyi.freebsd.org/data/110amd64PR212319-default/2016-09-21_05h38m01s/logs/errors/arm-none-eabi-gcc-5.3.0_1.log
http://package23.nyi.freebsd.org/data/110amd64PR212319-default/2016-09-21_05h38m01s/logs/errors/arm-none-eabi-gcc492-4.9.2_2.log
http://package23.nyi.freebsd.org/data/110amd64PR212319-default/2016-09-21_05h38m01s/logs/errors/avr-gcc-4.9.3.log
http://package23.nyi.freebsd.org/data/110amd64PR212319-default/2016-09-21_05h38m01s/logs/errors/avr-gcc-devel-4.10.0.s20140803_1.log
http://package23.nyi.freebsd.org/data/110amd64PR212319-default/2016-09-21_05h38m01s/logs/errors/gcc-arm-embedded-5.4.20160622.log
http://package23.nyi.freebsd.org/data/110amd64PR212319-default/2016-09-21_05h38m01s/logs/errors/gcc-msp430-ti-toolchain-5.3.0.4.00.01.00.20160401.log
http://package23.nyi.freebsd.org/data/110amd64PR212319-default/2016-09-21_05h38m01s/logs/errors/mingw32-gcc-4.8.1,1.log
http://package23.nyi.freebsd.org/data/110amd64PR212319-default/2016-09-21_05h38m01s/logs/errors/mips-gcc-5.3.0_1.log
http://package23.nyi.freebsd.org/data/110amd64PR212319-default/2016-09-21_05h38m01s/logs/errors/mips64-gcc-5.3.0_1.log
http://package23.nyi.freebsd.org/data/110amd64PR212319-default/2016-09-21_05h38m01s/logs/errors/powerpc64-gcc-5.3.0_1.log
http://package23.nyi.freebsd.org/data/110amd64PR212319-default/2016-09-21_05h38m01s/logs/errors/psptoolchain-gcc-stage1-4.6.2_3.log
http://package23.nyi.freebsd.org/data/110amd64PR212319-default/2016-09-21_05h38m01s/logs/errors/sparc64-gcc-5.3.0_1.log
http://package23.nyi.freebsd.org/data/110amd64PR212319-default/2016-09-21_05h38m01s/logs/errors/gnome-commander2-1.4.8_2,1.log
Comment 4 Ed Maste freebsd_committer 2018-04-15 00:41:12 UTC
Looks like it's largely gcc ports failing, as well as graphics/OpenEXR, lang/fsharp, x11-fm/gnome-commander2
Comment 5 Ed Maste freebsd_committer 2019-09-26 13:11:12 UTC
Can this be run again? I see the arch-gcc ports are now 6.4 I tried building one locally without /usr/bin/objdump without issue.
Comment 6 Ed Maste freebsd_committer 2019-09-26 13:12:42 UTC
Created attachment 207852 [details]
disconnect objdump from the build (revised)

Update as Makefile has been reworked since previous request
Comment 7 Antoine Brodin freebsd_committer 2019-10-09 05:51:59 UTC
New failures on i386:

+ {"origin"=>"devel/aarch64-gcc", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/aarch64-none-elf-gcc", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/amd64-gcc", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/arm-none-eabi-gcc", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/arm-none-eabi-gcc492", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/avr-gcc", "phase"=>"package", "errortype"=>"clang"}
+ {"origin"=>"devel/aws-sdk-cpp", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"devel/gcc-arm-embedded", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/gcc-msp430-ti-toolchain", "phase"=>"package", "errortype"=>"clang"}
+ {"origin"=>"devel/i386-gcc", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/mingw32-gcc", "phase"=>"package", "errortype"=>"clang"}
+ {"origin"=>"devel/mips-gcc", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/mips64-gcc", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/powerpc64-gcc", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/psptoolchain-gcc-stage1", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/riscv64-gcc", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/sparc64-gcc", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"graphics/embree", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/node", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/node10", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/node6", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/node8", "phase"=>"build", "errortype"=>"???"}

New failure logs on i386:

http://package23.nyi.freebsd.org/data/headi386PR212319-default/2019-10-05_20h22m11s/logs/errors/aarch64-gcc-6.4.0_6.log
http://package23.nyi.freebsd.org/data/headi386PR212319-default/2019-10-05_20h22m11s/logs/errors/aarch64-none-elf-gcc-6.4.0_6.log
http://package23.nyi.freebsd.org/data/headi386PR212319-default/2019-10-05_20h22m11s/logs/errors/amd64-gcc-6.4.0_6.log
http://package23.nyi.freebsd.org/data/headi386PR212319-default/2019-10-05_20h22m11s/logs/errors/arm-none-eabi-gcc-6.4.0_6.log
http://package23.nyi.freebsd.org/data/headi386PR212319-default/2019-10-05_20h22m11s/logs/errors/arm-none-eabi-gcc492-4.9.2_4.log
http://package23.nyi.freebsd.org/data/headi386PR212319-default/2019-10-05_20h22m11s/logs/errors/avr-gcc-9.1.0.log
http://package23.nyi.freebsd.org/data/headi386PR212319-default/2019-10-05_20h22m11s/logs/errors/aws-sdk-cpp-1.7.182.log
http://package23.nyi.freebsd.org/data/headi386PR212319-default/2019-10-05_20h22m11s/logs/errors/gcc-arm-embedded-8.2.20181220_1.log
http://package23.nyi.freebsd.org/data/headi386PR212319-default/2019-10-05_20h22m11s/logs/errors/gcc-msp430-ti-toolchain-6.4.0.5.01.02.00.2018008_2.log
http://package23.nyi.freebsd.org/data/headi386PR212319-default/2019-10-05_20h22m11s/logs/errors/i386-gcc-6.4.0_6.log
http://package23.nyi.freebsd.org/data/headi386PR212319-default/2019-10-05_20h22m11s/logs/errors/mingw32-gcc-4.8.1_4,1.log
http://package23.nyi.freebsd.org/data/headi386PR212319-default/2019-10-05_20h22m11s/logs/errors/mips-gcc-6.4.0_6.log
http://package23.nyi.freebsd.org/data/headi386PR212319-default/2019-10-05_20h22m11s/logs/errors/mips64-gcc-6.4.0_6.log
http://package23.nyi.freebsd.org/data/headi386PR212319-default/2019-10-05_20h22m11s/logs/errors/powerpc64-gcc-6.4.0_6.log
http://package23.nyi.freebsd.org/data/headi386PR212319-default/2019-10-05_20h22m11s/logs/errors/psptoolchain-gcc-stage1-4.9.3_1.log
http://package23.nyi.freebsd.org/data/headi386PR212319-default/2019-10-05_20h22m11s/logs/errors/riscv64-gcc-8.1.0_1.log
http://package23.nyi.freebsd.org/data/headi386PR212319-default/2019-10-05_20h22m11s/logs/errors/sparc64-gcc-6.4.0_6.log
http://package23.nyi.freebsd.org/data/headi386PR212319-default/2019-10-05_20h22m11s/logs/errors/embree-2.17.6.log
http://package23.nyi.freebsd.org/data/headi386PR212319-default/2019-10-05_20h22m11s/logs/errors/node-12.10.0_1.log
http://package23.nyi.freebsd.org/data/headi386PR212319-default/2019-10-05_20h22m11s/logs/errors/node10-10.16.3_1.log
http://package23.nyi.freebsd.org/data/headi386PR212319-default/2019-10-05_20h22m11s/logs/errors/node6-6.17.1_2.log
http://package23.nyi.freebsd.org/data/headi386PR212319-default/2019-10-05_20h22m11s/logs/errors/node8-8.16.1_1.log
Comment 8 Antoine Brodin freebsd_committer 2019-10-09 05:58:50 UTC
New failures on amd64:

+ {"origin"=>"databases/galera", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/galera26", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/aarch64-gcc", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/aarch64-none-elf-gcc", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/amd64-gcc", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/arm-none-eabi-gcc", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/arm-none-eabi-gcc492", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/avr-gcc", "phase"=>"package", "errortype"=>"clang"}
+ {"origin"=>"devel/gcc-arm-embedded", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/gcc-msp430-ti-toolchain", "phase"=>"package", "errortype"=>"clang"}
+ {"origin"=>"devel/i386-gcc", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/mingw32-gcc", "phase"=>"package", "errortype"=>"clang"}
+ {"origin"=>"devel/mips-gcc", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/mips64-gcc", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/powerpc64-gcc", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/psptoolchain-gcc-stage1", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/riscv64-gcc", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/sparc64-gcc", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"graphics/embree", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/node", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/node10", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/node6", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/node8", "phase"=>"build", "errortype"=>"???"}

New failure logs on amd64:

http://package22.nyi.freebsd.org/data/headamd64PR212319-default/2019-10-05_20h22m03s/logs/errors/galera-25.3.28.log
http://package22.nyi.freebsd.org/data/headamd64PR212319-default/2019-10-05_20h22m03s/logs/errors/galera26-26.4.2.log
http://package22.nyi.freebsd.org/data/headamd64PR212319-default/2019-10-05_20h22m03s/logs/errors/aarch64-gcc-6.4.0_6.log
http://package22.nyi.freebsd.org/data/headamd64PR212319-default/2019-10-05_20h22m03s/logs/errors/aarch64-none-elf-gcc-6.4.0_6.log
http://package22.nyi.freebsd.org/data/headamd64PR212319-default/2019-10-05_20h22m03s/logs/errors/amd64-gcc-6.4.0_6.log
http://package22.nyi.freebsd.org/data/headamd64PR212319-default/2019-10-05_20h22m03s/logs/errors/arm-none-eabi-gcc-6.4.0_6.log
http://package22.nyi.freebsd.org/data/headamd64PR212319-default/2019-10-05_20h22m03s/logs/errors/arm-none-eabi-gcc492-4.9.2_4.log
http://package22.nyi.freebsd.org/data/headamd64PR212319-default/2019-10-05_20h22m03s/logs/errors/avr-gcc-9.1.0.log
http://package22.nyi.freebsd.org/data/headamd64PR212319-default/2019-10-05_20h22m03s/logs/errors/gcc-arm-embedded-8.2.20181220_1.log
http://package22.nyi.freebsd.org/data/headamd64PR212319-default/2019-10-05_20h22m03s/logs/errors/gcc-msp430-ti-toolchain-6.4.0.5.01.02.00.2018008_2.log
http://package22.nyi.freebsd.org/data/headamd64PR212319-default/2019-10-05_20h22m03s/logs/errors/i386-gcc-6.4.0_6.log
http://package22.nyi.freebsd.org/data/headamd64PR212319-default/2019-10-05_20h22m03s/logs/errors/mingw32-gcc-4.8.1_4,1.log
http://package22.nyi.freebsd.org/data/headamd64PR212319-default/2019-10-05_20h22m03s/logs/errors/mips-gcc-6.4.0_6.log
http://package22.nyi.freebsd.org/data/headamd64PR212319-default/2019-10-05_20h22m03s/logs/errors/mips64-gcc-6.4.0_6.log
http://package22.nyi.freebsd.org/data/headamd64PR212319-default/2019-10-05_20h22m03s/logs/errors/powerpc64-gcc-6.4.0_6.log
http://package22.nyi.freebsd.org/data/headamd64PR212319-default/2019-10-05_20h22m03s/logs/errors/psptoolchain-gcc-stage1-4.9.3_1.log
http://package22.nyi.freebsd.org/data/headamd64PR212319-default/2019-10-05_20h22m03s/logs/errors/riscv64-gcc-8.1.0_1.log
http://package22.nyi.freebsd.org/data/headamd64PR212319-default/2019-10-05_20h22m03s/logs/errors/sparc64-gcc-6.4.0_6.log
http://package22.nyi.freebsd.org/data/headamd64PR212319-default/2019-10-05_20h22m03s/logs/errors/embree-2.17.6.log
http://package22.nyi.freebsd.org/data/headamd64PR212319-default/2019-10-05_20h22m03s/logs/errors/node-12.10.0_1.log
http://package22.nyi.freebsd.org/data/headamd64PR212319-default/2019-10-05_20h22m03s/logs/errors/node10-10.16.3_1.log
http://package22.nyi.freebsd.org/data/headamd64PR212319-default/2019-10-05_20h22m03s/logs/errors/node6-6.17.1_2.log
http://package22.nyi.freebsd.org/data/headamd64PR212319-default/2019-10-05_20h22m03s/logs/errors/node8-8.16.1_1.log
Comment 9 Ed Maste freebsd_committer 2019-10-09 14:04:09 UTC
Thank you Antoine.

I see now that it's the `make package` stage that fails in the *gcc* ports - in my standalone test I think I just tried building. PR 241159 submitted for powerpc64-gcc which I believe is the main port for all of these.

graphics/embree comes from an
execute_process(COMMAND objdump -C -t ${file} OUTPUT_VARIABLE output)
llvm-objdump should support this, but most likely the port ought to just depend on binutils.

I submitted PR241157 for www/node*, again should just depend on binutils.
Comment 10 commit-hook freebsd_committer 2020-03-27 19:40:07 UTC
A commit references this bug:

Author: emaste
Date: Fri Mar 27 19:39:14 UTC 2020
New revision: 359377
URL: https://svnweb.freebsd.org/changeset/base/359377

Log:
  objdump: emit a deprecation notice at program start

  PR:		212319

Changes:
  head/contrib/binutils/binutils/objdump.c
Comment 11 Ed Maste freebsd_committer 2020-05-05 21:43:32 UTC
Adding a dependency on the binutils port/package should be sufficient to address these cases - for example, for databases/galera:

Index: databases/galera/Makefile
===================================================================
--- databases/galera/Makefile   (revision 534097)
+++ databases/galera/Makefile   (working copy)
@@ -27,7 +27,8 @@
 NOT_FOR_ARCHS_REASON_i386=Uses 64 bit atomics that clang cannot generate on i386
 
 BUILD_DEPENDS= checkmk:devel/check \
-               ${LOCALBASE}/include/boost/shared_ptr.hpp:devel/boost-libs
+               ${LOCALBASE}/include/boost/shared_ptr.hpp:devel/boost-libs \
+               ${LOCALBASE}/bin/objdump:devel/binutils
 LIB_DEPENDS=   libboost_date_time.so:devel/boost-libs
 
 USES=          compiler:c++11-lang python:build scons ssl

Should this be done conditionally on FreeBSD version?
Comment 12 Adam Weinberger freebsd_committer 2020-05-06 01:08:50 UTC
(In reply to Ed Maste from comment #11)

It should. I think there's some value here to implementing it as `Uses/objdump.mk` like `readline.mk`. Binutils is a non-negligible dependency and it'd be nice not to drag it in when it isn't necessary.
Comment 13 Ed Maste freebsd_committer 2020-05-06 16:42:11 UTC
(In reply to Adam Weinberger from comment #12)
Discussed with bapt this morning - objdump:devel/binutils brings the dependency in only if objdump is not available so is a sufficient and trivial change.
Comment 14 commit-hook freebsd_committer 2020-05-06 18:39:22 UTC
A commit references this bug:

Author: emaste
Date: Wed May  6 18:38:41 UTC 2020
New revision: 360698
URL: https://svnweb.freebsd.org/changeset/base/360698

Log:
  binutils: disconnect objdump from the build

  The in-tree binutils is old and will not be updated.  It does not support
  all archs supported by FreeBSD, and for the archs it does support not all
  CPU features are supported.

  Other tools have migrated to copyfree alternatives.  Although llvm-objdump
  is nearly a drop-in replacement for GNU objdump it is missing a few options
  and has some differences in output format.  For now just remove GNU objdump;
  ports and developers can use a contemporary, maintained version from ports
  or packages.  We can revisit installing llvm-objdump as objdump in the
  future.

  PR:		212319 [exp-run]
  Relnotes:	Yes
  Sponsored by:	The FreeBSD Foundation
  Differential Revision:	https://reviews.freebsd.org/D7338

Changes:
  head/ObsoleteFiles.inc
  head/gnu/usr.bin/binutils/Makefile
Comment 15 Ed Maste freebsd_committer 2020-05-06 20:35:38 UTC
Final ports in https://reviews.freebsd.org/D24738
Comment 16 commit-hook freebsd_committer 2020-05-07 01:45:59 UTC
A commit references this bug:

Author: emaste
Date: Thu May  7 01:45:10 UTC 2020
New revision: 534230
URL: https://svnweb.freebsd.org/changeset/ports/534230

Log:
  devel/arm-none-eabi-gcc492: add objdump binutils dependency

  /usr/bin/objdump has been removed from the base system for FreeBSD 13.0.

  PR:		212319 [exp-run]
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/devel/arm-none-eabi-gcc492/Makefile
Comment 17 commit-hook freebsd_committer 2020-05-07 01:48:00 UTC
A commit references this bug:

Author: emaste
Date: Thu May  7 01:47:17 UTC 2020
New revision: 534231
URL: https://svnweb.freebsd.org/changeset/ports/534231

Log:
  devel/arm-none-eabi-gcc492: correct binutils dependency

  PR:		212319 [exp-run]
  Approved by:	bapt

Changes:
  head/devel/arm-none-eabi-gcc492/Makefile
Comment 18 commit-hook freebsd_committer 2020-05-07 01:49:01 UTC
A commit references this bug:

Author: emaste
Date: Thu May  7 01:48:53 UTC 2020
New revision: 534233
URL: https://svnweb.freebsd.org/changeset/ports/534233

Log:
  devel/riscv64-gcc: add objdump binutils dependency

  /usr/bin/objdump has been removed from the base system for FreeBSD 13.0.

  PR:		212319 [exp-run]
  Approved by:	bapt
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/devel/riscv64-gcc/Makefile
Comment 19 commit-hook freebsd_committer 2020-05-07 02:01:03 UTC
A commit references this bug:

Author: emaste
Date: Thu May  7 02:00:45 UTC 2020
New revision: 534236
URL: https://svnweb.freebsd.org/changeset/ports/534236

Log:
  devel/mingw32-gcc: add objdump binutils dependency

  /usr/bin/objdump has been removed from the base system before FreeBSD 13.

  PR:		212319 [exp-run]
  Approved by:	bapt

Changes:
  head/devel/mingw32-gcc/Makefile
Comment 20 Ed Maste freebsd_committer 2020-05-11 18:11:50 UTC
objudmp has been removed, with most affected ports Makefiles updated prior to the commit and a few stragglers addressed afterwards.